<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LWirelessLanProfileGroup StructType
 * @subpackage Structs
 */
class LWirelessLanProfileGroup extends AbstractStructBase
{
    /**
     * The wirelessProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $wirelessProfile;
    /**
     * The index
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $index;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LWirelessLanProfileGroup
     * @uses LWirelessLanProfileGroup::setWirelessProfile()
     * @uses LWirelessLanProfileGroup::setIndex()
     * @uses LWirelessLanProfileGroup::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wirelessProfile
     * @param string $index
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wirelessProfile = null, $index = null, $uuid = null)
    {
        $this
            ->setWirelessProfile($wirelessProfile)
            ->setIndex($index)
            ->setUuid($uuid);
    }
    /**
     * Get wirelessProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getWirelessProfile()
    {
        return $this->wirelessProfile;
    }
    /**
     * Set wirelessProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wirelessProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWirelessLanProfileGroup
     */
    public function setWirelessProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $wirelessProfile = null)
    {
        $this->wirelessProfile = $wirelessProfile;
        return $this;
    }
    /**
     * Get index value
     * @return string|null
     */
    public function getIndex()
    {
        return $this->index;
    }
    /**
     * Set index value
     * @param string $index
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWirelessLanProfileGroup
     */
    public function setIndex($index = null)
    {
        $this->index = $index;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWirelessLanProfileGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
